<form class="d-flex gap-1 flex-column" [formGroup]="form"
      (ngSubmit)="submit()">
  <input class="form-control" type="text" formControlName="name"
         placeholder="Nom" aria-label="input nom">

  <select formControlName="client" class="form-select" aria-label="select client name">
    <ng-container *ngIf="clients$ | async as clients; else loadOptions">
      <option [value]="client.name" *ngFor="let client of clients">{{client.name}}</option>
    </ng-container>
  </select>

  <input class="form-control" type="number" formControlName="priceHT"
         placeholder="Prix Hors Taxe" aria-label="input price ht">

  <input class="form-control" type="number" formControlName="tva"
         placeholder="TVA" aria-label="input tva">

  <input class="form-control" type="number" formControlName="nbDays"
         placeholder="Nombre de jours" aria-label="input nombre de jours">

  <div class="d-flex flex-row gap-1 justify-content-end">
    <button type="button" class="btn btn-secondary"
            (click)="cancelAction()">
      Annuler
    </button>
    <button class="btn btn-primary"
            [disabled]="isDisabled()">
      {{titleButton}}
    </button>
  </div>
</form>

<ng-template #loadOptions>
  <option value="false" disabled selected>Chargement des données...</option>
</ng-template>
